This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983488 - Resizing window changes window size to 0 with third party window manager
Resizing window changes window size to 0 with third party window manager
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.4
All Linux
high Severity high
: rc
: ---
Assigned To: Martin Stransky
Desktop QE
: OtherQA, ZStream
Depends On:
Blocks: 983490
  Show dependency treegraph
 
Reported: 2013-07-11 06:13 EDT by Julio Entrena Perez
Modified: 2013-12-02 08:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 983490 (view as bug list)
Environment:
Last Closed: 2013-10-29 17:15:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Oracle Metalink 1520595.1 document (88.96 KB, application/pdf)
2013-07-11 06:13 EDT, Julio Entrena Perez
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 813997 None None None Never
Red Hat Knowledge Base (Solution) 421983 None None None Never

  None (edit)
Description Julio Entrena Perez 2013-07-11 06:13:42 EDT
Created attachment 772138 [details]
Oracle Metalink 1520595.1 document

Description of problem:
Resizing a Firefox window when running in third party Oracle Secure Desktop (fka Tarantella) causes window to shrink immediately to a width of 0 pixels, showing only a small portion of the window decoration, and none of the window content.
Window can't be maximized or re-scaled, Firefox disappears when window is resized.

Version-Release number of selected component (if applicable):
firefox-17.0.7-1.el6_4

How reproducible:
Always.

Steps to Reproduce:
1. Start Firefox in a Secure Global Desktop session.
2. Grab lower right corner of window with a mouse click and drag to re-size.
3.

Actual results:
On starting drag gesture, window shrunk immediately to a width of 0 pixels, showing only a small portion of the window decoration, and none of the window content.  Window can't be maximized or rescaled.   On closing and restarting firefox, window remains at a height and width of 0.  Effect is that firefox disappears when window is re-sized.

Grabbing left or right margins rescales window to a width of 0 with current height.  

Grabbing bottom margin rescales window to height of 0 with current width.  

Grabbing any corner rescales window to height and width of 0.

Expected results:
Dragging the window with mouse click and drag gestures should allow the window to be re-sized to any arbitrary size.

Additional info:
Please backport the fix at https://bugzilla.mozilla.org/show_bug.cgi?id=813997
Comment 13 errata-xmlrpc 2013-10-29 17:15:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1476.html

Note You need to log in before you can comment on or make changes to this bug.